Reranks the provided documents, according to the provided query.
The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance.
Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: "slow" mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error.
The “bytes” used by a request is calculated as sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes.
To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.
Whether the call will be inferenced "fast" or "slow". RateLimits for slow API calls are orders of magnitude higher, but you can expect >10 second latency. Fast inferences are guaranteed subsecond, but rate limits are lower. If not specified, first a "fast" call will be attempted, but if you have exceeded your fast rate limit, then a slow call will be executed. If explicitly set to "fast", then 429 will be returned if it cannot be executed fast.
The type of inference actually used. If auto is requested, then fast will be used by default, with slow as a fallback if your ratelimit is exceeded. Else, this field will be identical to the requested latency mode.
The total time, in seconds, between rerank request received and rerank response returned. Client latency should equal e2e_latency + your ping to ZeroEntropy's API.
The time, in seconds, to actually inference the request. If this is significantly lower than e2e_latency, this is likely due to ratelimiting. Please request a higher ratelimit at founders@zeroentropy.dev or message us on Discord or Slack!
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ZeroEntropy","colors":{"primary":"#4594FF","light":"#4594FF","dark":"#4594FF"},"logo":{"light":"https://mintcdn.com/zeroentropy/vsoWdCzEUkYmTkNx/logo/light.svg?fit=max\u0026auto=format\u0026n=vsoWdCzEUkYmTkNx\u0026q=85\u0026s=883fffb78ee34586b7a4f0388d52b135","dark":"https://mintcdn.com/zeroentropy/vsoWdCzEUkYmTkNx/logo/dark.svg?fit=max\u0026auto=format\u0026n=vsoWdCzEUkYmTkNx\u0026q=85\u0026s=5bd022926ce0618ee02fe0091c65ddad","href":"https://www.zeroentropy.dev"},"favicon":"https://mintcdn.com/zeroentropy/vsoWdCzEUkYmTkNx/logo/favicon.svg?fit=max\u0026auto=format\u0026n=vsoWdCzEUkYmTkNx\u0026q=85\u0026s=180816b99903482a5743598ed4ba0205","navbar":{"links":[{"href":"mailto:founders@zeroentropy.dev","label":"Support"},{"href":"https://go.zeroentropy.dev/slack","label":"Community"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.zeroentropy.dev/"}},"footer":{"socials":{"github":"https://github.com/orgs/ZeroEntropy-AI","linkedin":"https://www.linkedin.com/company/zeroentropy-inc"}},"banner":{"content":"🚀 [zembed-1](https://docs.zeroentropy.dev/models#zembed-1) is now generally available through the API, all SDKs, and on the AWS Marketplace!","dismissible":true},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Home page","icon":"house","href":"https://zeroentropy.dev"},{"anchor":"Dashboard","icon":"gauge","href":"https://dashboard.zeroentropy.dev"},{"anchor":"Slack Community","icon":"Slack","href":"https://go.zeroentropy.dev/slack"},{"anchor":"Discord Community","icon":"Discord","href":"https://go.zeroentropy.dev/discord"},{"anchor":"Blog","icon":"newspaper","href":"https://www.zeroentropy.dev/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zeroentropy","hasAudioNarration":false,"actualSubdomain":"zeroentropy","customDomains":["docs.zeroentropy.dev"],"gitSource":{"type":"github","owner":"zeroentropy-ai","repo":"docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e656572b750f6b6f9fab","collectionId":"225e924e-4d36-409f-bad8-21b0833e7a0c","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e656572b750f6b6f9fab:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":15},{"language":"default","tag":"Documentation","count":12},{"language":"default","tag":"Get Started","count":12},{"language":"default","tag":"Documents","count":6},{"language":"default","tag":"Examples","count":5},{"language":"default","tag":"Queries","count":3},{"language":"default","tag":"Collections","count":3},{"language":"default","tag":"Models","count":2},{"language":"default","tag":"Status","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/models/rerank","slug":"/api-reference/models/rerank","pageMetadata":{"title":"Rerank","description":"Reranks the provided documents, according to the provided query.\n\nThe results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance.\n\nOrganizations will, by default, have a ratelimit of `500,000` bytes-per-minute (BPM) and `1000` requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into `latency: \"slow\"` mode, up to `5000000` bytes-per-minute. If even this is exceeded, you will get a `429` error.\n\nThe \"bytes\" used by a request is calculated as `sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents)`. Note a baseline overhead of `150` bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is `5000000` bytes.\n\nTo increase your ratelimits, subscribe to a higher tier on the [ZeroEntropy dashboard](https://dashboard.zeroentropy.dev/billing). Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.\n\nTo request even higher ratelimits, please contact [founders@zeroentropy.dev](mailto:founders@zeroentropy.dev) or message us on [Discord](https://go.zeroentropy.dev/discord) or [Slack](https://go.zeroentropy.dev/slack)!","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /models/rerank","href":"/api-reference/models/rerank","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Reranks the provided documents, according to the provided query.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Organizations will, by default, have a ratelimit of \", _jsx(_components.code, {\n children: \"500,000\"\n }), \" bytes-per-minute (BPM) and \", _jsx(_components.code, {\n children: \"1000\"\n }), \" requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into \", _jsx(_components.code, {\n children: \"latency: \\\"slow\\\"\"\n }), \" mode, up to \", _jsx(_components.code, {\n children: \"5000000\"\n }), \" bytes-per-minute. If even this is exceeded, you will get a \", _jsx(_components.code, {\n children: \"429\"\n }), \" error.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The “bytes” used by a request is calculated as \", _jsx(_components.code, {\n children: \"sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents)\"\n }), \". Note a baseline overhead of \", _jsx(_components.code, {\n children: \"150\"\n }), \" bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is \", _jsx(_components.code, {\n children: \"5000000\"\n }), \" bytes.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"To increase your ratelimits, subscribe to a higher tier on the \", _jsx(_components.a, {\n href: \"https://dashboard.zeroentropy.dev/billing\",\n children: \"ZeroEntropy dashboard\"\n }), \". Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"To request even higher ratelimits, please contact \", _jsx(_components.a, {\n href: \"mailto:founders@zeroentropy.dev\",\n children: \"founders@zeroentropy.dev\"\n }), \" or message us on \", _jsx(_components.a, {\n href: \"https://go.zeroentropy.dev/discord\",\n children: \"Discord\"\n }), \" or \", _jsx(_components.a, {\n href: \"https://go.zeroentropy.dev/slack\",\n children: \"Slack\"\n }), \"!\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Rerank","description":"Reranks the provided documents, according to the provided query.\n\nThe results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance.\n\nOrganizations will, by default, have a ratelimit of `500,000` bytes-per-minute (BPM) and `1000` requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into `latency: \"slow\"` mode, up to `5000000` bytes-per-minute. If even this is exceeded, you will get a `429` error.\n\nThe \"bytes\" used by a request is calculated as `sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents)`. Note a baseline overhead of `150` bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is `5000000` bytes.\n\nTo increase your ratelimits, subscribe to a higher tier on the [ZeroEntropy dashboard](https://dashboard.zeroentropy.dev/billing). Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.\n\nTo request even higher ratelimits, please contact [founders@zeroentropy.dev](mailto:founders@zeroentropy.dev) or message us on [Discord](https://go.zeroentropy.dev/discord) or [Slack](https://go.zeroentropy.dev/slack)!","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /models/rerank","href":"/api-reference/models/rerank","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Models"],"summary":"Rerank","description":"Reranks the provided documents, according to the provided query.\n\nThe results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance.\n\nOrganizations will, by default, have a ratelimit of `500,000` bytes-per-minute (BPM) and `1000` requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into `latency: \"slow\"` mode, up to `5000000` bytes-per-minute. If even this is exceeded, you will get a `429` error.\n\nThe \"bytes\" used by a request is calculated as `sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents)`. Note a baseline overhead of `150` bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is `5000000` bytes.\n\nTo increase your ratelimits, subscribe to a higher tier on the [ZeroEntropy dashboard](https://dashboard.zeroentropy.dev/billing). Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.\n\nTo request even higher ratelimits, please contact [founders@zeroentropy.dev](mailto:founders@zeroentropy.dev) or message us on [Discord](https://go.zeroentropy.dev/discord) or [Slack](https://go.zeroentropy.dev/slack)!","operationId":"rerank_models_rerank_post","requestBody":"19e905d5-21ba-43b3-866d-ec4c9de2bd40","responses":{"200":"9d7c7944-219a-48c6-8464-a02bfa3db964","404":"b19f2e47-796c-4b08-8b5c-38630b96484d","422":"385f2f92-533e-45c1-bdcf-23d2c054cf74"},"security":["16f51bfd-dc6c-478c-902c-51a79ee75d48"],"method":"post","type":"path","servers":["0cde098e-13a5-4967-a867-cb1c6027236e","378be2ab-b06b-4fad-8ceb-c71a9acec23c"],"path":"/models/rerank","baseUrlOptions":["https://api.zeroentropy.dev/v1","https://eu-api.zeroentropy.dev/v1"],"title":"Rerank","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"properties":{"model":{"type":"string","title":"Model","description":"The model ID to use for reranking. Options are: [\"zerank-2\", \"zerank-1\", \"zerank-1-small\"]","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"query":{"type":"string","title":"Query","description":"The query to rerank the documents by.","isRequired":true,"uniqueKey":"query","typeLabel":"string"},"documents":{"items":{"type":"string","uniqueKey":"documents.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Documents","description":"The list of documents to rerank. Each document is a string.","isRequired":true,"uniqueKey":"documents","typeLabel":"string[]"},"top_n":{"oneOf":[{"type":"integer","title":"Top N","description":"If provided, then only the top `n` documents will be returned in the results array. Otherwise, `n` will be the length of the provided documents array.","uniqueKey":"top_n.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Top N","description":"If provided, then only the top `n` documents will be returned in the results array. Otherwise, `n` will be the length of the provided documents array.","uniqueKey":"top_n.oneOf.1","typeLabel":"null"}],"uniqueKey":"top_n","typeLabel":"integer | null"},"latency":{"oneOf":[{"type":"string","title":"Latency","description":"Whether the call will be inferenced \"fast\" or \"slow\". RateLimits for slow API calls are orders of magnitude higher, but you can expect >10 second latency. Fast inferences are guaranteed subsecond, but rate limits are lower. If not specified, first a \"fast\" call will be attempted, but if you have exceeded your fast rate limit, then a slow call will be executed. If explicitly set to \"fast\", then 429 will be returned if it cannot be executed fast.","enum":["fast","slow"],"uniqueKey":"latency.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","title":"Latency","description":"Whether the call will be inferenced \"fast\" or \"slow\". RateLimits for slow API calls are orders of magnitude higher, but you can expect >10 second latency. Fast inferences are guaranteed subsecond, but rate limits are lower. If not specified, first a \"fast\" call will be attempted, but if you have exceeded your fast rate limit, then a slow call will be executed. If explicitly set to \"fast\", then 429 will be returned if it cannot be executed fast.","uniqueKey":"latency.oneOf.1","typeLabel":"null"}],"uniqueKey":"latency","typeLabel":"enum\u003cstring> | null"}},"type":"object","required":["model","query","documents"],"title":"RerankRequest","uniqueKey":"","typeLabel":"RerankRequest · object"},"examples":{"Example":{"title":"Example","value":{"model":"\u003cstring>","query":"\u003cstring>","documents":["\u003cstring>"],"top_n":123}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"9d7c7944-219a-48c6-8464-a02bfa3db964":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"results":{"items":{"properties":{"index":{"type":"integer","title":"Index","description":"The index of this document, relative to the original document array passed into the request.","isRequired":true,"uniqueKey":"results.items.[INDEX].index","typeLabel":"integer"},"relevance_score":{"type":"number","title":"Relevance Score","description":"The relevance score between this document and the query. This number will range between 0.0 and 1.0. This score is dependent on only the query and the scored document; other documents do not affect this score. This value is intended to be deterministic, but it may vary slightly due to floating point error.","isRequired":true,"uniqueKey":"results.items.[INDEX].relevance_score","typeLabel":"number"}},"type":"object","required":["index","relevance_score"],"title":"RerankResult","uniqueKey":"results.items.[INDEX]","typeLabel":"RerankResult · object"},"type":"array","title":"Results","description":"The results, ordered by descending order of relevance to the query.","isRequired":true,"uniqueKey":"results","typeLabel":"RerankResult · object[]"},"total_bytes":{"type":"integer","title":"Total Bytes","description":"The total number of bytes in the request. This is used for ratelimiting.","isRequired":true,"uniqueKey":"total_bytes","typeLabel":"integer"},"total_tokens":{"type":"integer","title":"Total Tokens","description":"The total number of tokens in the request. This is used for billing.","isRequired":true,"uniqueKey":"total_tokens","typeLabel":"integer"},"actual_latency_mode":{"type":"string","enum":["fast","slow"],"title":"Actual Latency Mode","description":"The type of inference actually used. If `auto` is requested, then `fast` will be used by default, with `slow` as a fallback if your ratelimit is exceeded. Else, this field will be identical to the requested latency mode.","isRequired":true,"uniqueKey":"actual_latency_mode","typeLabel":"enum\u003cstring>"},"e2e_latency":{"type":"number","title":"E2E Latency","description":"The total time, in seconds, between rerank request received and rerank response returned. Client latency should equal `e2e_latency` + your ping to ZeroEntropy's API.","isRequired":true,"uniqueKey":"e2e_latency","typeLabel":"number"},"inference_latency":{"type":"number","title":"Inference Latency","description":"The time, in seconds, to actually inference the request. If this is significantly lower than `e2e_latency`, this is likely due to ratelimiting. Please request a higher ratelimit at [founders@zeroentropy.dev](mailto:founders@zeroentropy.dev) or message us on [Discord](https://go.zeroentropy.dev/discord) or [Slack](https://go.zeroentropy.dev/slack)!","isRequired":true,"uniqueKey":"inference_latency","typeLabel":"number"}},"type":"object","required":["results","total_bytes","total_tokens","actual_latency_mode","e2e_latency","inference_latency"],"title":"RerankResponse","uniqueKey":"","typeLabel":"RerankResponse · object"},"examples":{"Example":{"title":"Example","value":{"results":[{"index":123,"relevance_score":123}],"total_bytes":123,"total_tokens":123,"actual_latency_mode":"fast","e2e_latency":123,"inference_latency":123}}},"exampleType":"generated"}},"exampleType":"generated"},"b19f2e47-796c-4b08-8b5c-38630b96484d":{"description":"Not Found","content":{"application/json":{"example":{"detail":"Description of Error"},"examples":{"Example":{"title":"Example","value":{"detail":"Description of Error"}}},"exampleType":"examples"}},"exampleType":"examples"},"385f2f92-533e-45c1-bdcf-23d2c054cf74":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"16f51bfd-dc6c-478c-902c-51a79ee75d48":{"HTTPBearer":{"type":"http","description":"The `Authorization` header must be provided in the format `Bearer \u003cyour-api-key>`.\n\nYou can get your API Key at the [Dashboard](https://dashboard.zeroentropy.dev/)!","scheme":"bearer","scopes":[]}}},"servers":{"0cde098e-13a5-4967-a867-cb1c6027236e":{"url":"https://api.zeroentropy.dev/v1","description":"ZeroEntropy API"},"378be2ab-b06b-4fad-8ceb-c71a9acec23c":{"url":"https://eu-api.zeroentropy.dev/v1","description":"ZeroEntropy API (EU datacenters)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"The `Authorization` header must be provided in the format `Bearer \u003cyour-api-key>`.\n\nYou can get your API Key at the [Dashboard](https://dashboard.zeroentropy.dev/)!","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"The `Authorization` header must be provided in the format `Bearer \u003cyour-api-key>`.\n\nYou can get your API Key at the [Dashboard](https://dashboard.zeroentropy.dev/)!","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"zeroentropy","siteName":"ZeroEntropy","title":"Rerank - ZeroEntropy","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-04-23T21:33:04.470Z","originalFileLocation":"api-reference/models/rerank.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Reranks the provided documents, according to the provided query. The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance. Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: \u0026quot;slow\u0026quot; mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error. The \u0026quot;bytes\u0026quot; used by a request is calculated as sum(150 + query.encode(\u0026#x27;utf-8\u0026#x27;) + d.encode(\u0026#x27;utf-8\u0026#x27;) for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes. To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month. To request even higher ratelimits, please contact founders@zeroentropy.dev or message us on Discord or Slack!\">\u003cmeta data-mint-head name=\"application-name\" content=\"ZeroEntropy\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Rerank - ZeroEntropy\">\u003cmeta data-mint-head property=\"og:description\" content=\"Reranks the provided documents, according to the provided query. The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance. Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: \u0026quot;slow\u0026quot; mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error. The \u0026quot;bytes\u0026quot; used by a request is calculated as sum(150 + query.encode(\u0026#x27;utf-8\u0026#x27;) + d.encode(\u0026#x27;utf-8\u0026#x27;) for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes. To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month. To request even higher ratelimits, please contact founders@zeroentropy.dev or message us on Discord or Slack!\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ZeroEntropy\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zeroentropy.dev/api-reference/models/rerank\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zeroentropy.mintlify.app/_mintlify/api/og/v2?division=Models\u0026amp;title=Rerank\u0026amp;description=Reranks+the+provided+documents%2C+according+to+the+provided+query.%0A%0AThe+results+will+be+sorted+by+descending+order+of+relevance.+For+each+document%2C+the+index+and+\u0026amp;theme=c9ad13182ecba320a6704ed8\u0026amp;signature=00c3800e3048b4d362b79f75ffd27ddc5aff6bac432846ccbb8660db23485403\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Rerank - ZeroEntropy\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Reranks the provided documents, according to the provided query. The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance. Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: \u0026quot;slow\u0026quot; mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error. The \u0026quot;bytes\u0026quot; used by a request is calculated as sum(150 + query.encode(\u0026#x27;utf-8\u0026#x27;) + d.encode(\u0026#x27;utf-8\u0026#x27;) for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes. To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month. To request even higher ratelimits, please contact founders@zeroentropy.dev or message us on Discord or Slack!\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zeroentropy.mintlify.app/_mintlify/api/og/v2?division=Models\u0026amp;title=Rerank\u0026amp;description=Reranks+the+provided+documents%2C+according+to+the+provided+query.%0A%0AThe+results+will+be+sorted+by+descending+order+of+relevance.+For+each+document%2C+the+index+and+\u0026amp;theme=c9ad13182ecba320a6704ed8\u0026amp;signature=00c3800e3048b4d362b79f75ffd27ddc5aff6bac432846ccbb8660db23485403\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zeroentropy/5_rZbyFM3AN4lygt/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ZeroEntropy\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4594FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zeroentropy.dev/api-reference/models/rerank\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/models/rerank.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zeroentropy.dev/#organization\",\"name\":\"ZeroEntropy\",\"url\":\"https://docs.zeroentropy.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zeroentropy/vsoWdCzEUkYmTkNx/logo/light.svg?fit=max\u0026auto=format\u0026n=vsoWdCzEUkYmTkNx\u0026q=85\u0026s=883fffb78ee34586b7a4f0388d52b135\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zeroentropy.dev#website\",\"name\":\"ZeroEntropy\",\"url\":\"https://docs.zeroentropy.dev\",\"publisher\":{\"@id\":\"https://docs.zeroentropy.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zeroentropy.dev/api-reference/models/rerank#webpage\",\"url\":\"https://docs.zeroentropy.dev/api-reference/models/rerank\",\"name\":\"Rerank\",\"description\":\"Reranks the provided documents, according to the provided query. The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance. Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: \\\"slow\\\" mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error. The \\\"bytes\\\" used by a request is calculated as sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes. To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month. To request even higher ratelimits, please contact founders@zeroentropy.dev or message us on Discord or Slack!\",\"dateModified\":\"2026-04-23T21:33:04.470Z\",\"isPartOf\":{\"@id\":\"https://docs.zeroentropy.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zeroentropy.dev/api-reference/models/rerank#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zeroentropy.dev/api-reference/models/rerank#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"ZeroEntropy\",\"item\":\"https://docs.zeroentropy.dev\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Rerank\",\"item\":\"https://docs.zeroentropy.dev/api-reference/models/rerank\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zeroentropy.dev/api-reference/models/rerank#apireference\",\"headline\":\"Rerank\",\"name\":\"Rerank\",\"description\":\"Reranks the provided documents, according to the provided query. The results will be sorted by descending order of relevance. For each document, the index and the score will be returned. The index is relative to the documents array that was passed in. The score is the query-document relevancy determined by the reranker model. The results will be returned in descending order of relevance. Organizations will, by default, have a ratelimit of 500,000 bytes-per-minute (BPM) and 1000 requests-per-minute (RPM). Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into latency: \\\"slow\\\" mode, up to 5000000 bytes-per-minute. If even this is exceeded, you will get a 429 error. The \\\"bytes\\\" used by a request is calculated as sum(150 + query.encode('utf-8') + d.encode('utf-8') for d in documents). Note a baseline overhead of 150 bytes, and that the query bytes are included for each document, as rerankers are cross-encoders. The maximum per-request payload size is 5000000 bytes. To increase your ratelimits, subscribe to a higher tier on the ZeroEntropy dashboard. Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month. To request even higher ratelimits, please contact founders@zeroentropy.dev or message us on Discord or Slack!\",\"url\":\"https://docs.zeroentropy.dev/api-reference/models/rerank\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zeroentropy.dev/api-reference/models/rerank#webpage\"},\"dateModified\":\"2026-04-23T21:33:04.470Z\",\"publisher\":{\"@id\":\"https://docs.zeroentropy.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zeroentropy.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ZeroEntropy\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ZeroEntropy","nav":{"global":{"anchors":[{"anchor":"Home page","icon":"house","href":"https://zeroentropy.dev"},{"anchor":"Dashboard","icon":"gauge","href":"https://dashboard.zeroentropy.dev"},{"anchor":"Slack Community","icon":"Slack","href":"https://go.zeroentropy.dev/slack"},{"anchor":"Discord Community","icon":"Discord","href":"https://go.zeroentropy.dev/discord"},{"anchor":"Blog","icon":"newspaper","href":"https://www.zeroentropy.dev/blog"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Admin","pages":[]},{"group":"Usage","pages":[]},{"group":"Models","pages":[{"title":"Rerank","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /models/rerank","href":"/api-reference/models/rerank"},{"title":"Embed","description":"Embeds the provided input text with ZeroEntropy embedding models.\n\nThe results will be returned in the same order as the text provided. The embedding is such that queries will have high cosine similarity with documents that are relevant to that query.\n\nOrganizations will, by default, have a ratelimit of `500000` bytes-per-minute. Ratelimits are refreshed every 15 seconds. If this is exceeded, requests will be throttled into `latency: \"slow\"` mode, up to `5000000` bytes-per-minute. If even this is exceeded, you will get a `429` error.\n\nThe \"bytes\" used by a request is calculated as `sum(150 + s.encode('utf-8') for s in input)`. Note a baseline overhead of `150` bytes. The maximum per-request payload size is `5000000` bytes.\n\nTo increase your ratelimits, subscribe to a higher tier on the [ZeroEntropy dashboard](https://dashboard.zeroentropy.dev/billing). Any payments made for subscriptions in a calendar month will be deducted from your usage charges for that month.\n\nTo request even higher ratelimits, please contact [founders@zeroentropy.dev](mailto:founders@zeroentropy.dev) or message us on [Discord](https://go.zeroentropy.dev/discord) or [Slack](https://go.zeroentropy.dev/slack)!","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /models/embed","href":"/api-reference/models/embed"}]},{"group":"Status","pages":[{"openapi":"post /status/get-status","title":"Get Status","href":"/api-reference/status/get-status"}]},{"group":"Collections","pages":[{"title":"Add Collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /collections/add-collection","href":"/api-reference/collections/add-collection"},{"title":"Get Collection List","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /collections/get-collection-list","href":"/api-reference/collections/get-collection-list"},{"title":"Delete Collection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /collections/delete-collection","href":"/api-reference/collections/delete-collection"}]},{"group":"Documents","pages":[{"title":"Add Document","openapi":"POST /documents/add-document","href":"/api-reference/documents/add-document"},{"title":"Update Document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /documents/update-document","href":"/api-reference/documents/update-document"},{"openapi":"post /documents/get-document-info","title":"Get Document Info","href":"/api-reference/documents/get-document-info"},{"openapi":"post /documents/get-document-info-list","title":"Get Document Info List","href":"/api-reference/documents/get-document-info-list"},{"openapi":"post /documents/delete-document","title":"Delete Document","href":"/api-reference/documents/delete-document"},{"title":"Get Page Info","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /documents/get-page-info","href":"/api-reference/documents/get-page-info"}]},{"group":"Queries","pages":[{"openapi":"post /queries/top-documents","title":"Top Documents","href":"/api-reference/queries/top-documents"},{"title":"Top Pages","deprecated":null,"version":null,"openapi":"/api-reference/openapi.json post /queries/top-pages","href":"/api-reference/queries/top-pages"},{"openapi":"post /queries/top-snippets","title":"Top Snippets","href":"/api-reference/queries/top-snippets"}]}]}]},"basePath":"","title":"Rerank - ZeroEntropy","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-CX_qQQOL.js","dist-BTZUMDnx.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-xpJZXxdP.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","AssistantPageLink-DqdKa2R4.js"]}